# Class CIM_OutboundVLAN
extends CIM_SAPSAPDependency

This class is deprecated in lieu or not being necessary to indicate whether the VLAN is inbound/outbound This association makes explicit the operational dependencies of a SwitchPort when operating in a VLAN. If there is no instance of OutboundVLAN between a given SwitchPort and VLAN, then any packet that has been assigned to the VLAN and whose destination address is associated with the port will be dropped by the switch without being transmitted. Otherwise, the packet will be transmitted.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency
|
+--CIM_OutboundVLAN

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value

Description

string

This class is deprecated in lieu or not being necessary to indicate whether the VLAN is inbound/outbound This association makes explicit the operational dependencies of a SwitchPort when operating in a VLAN. If there is no instance of OutboundVLAN between a given SwitchPort and VLAN, then any packet that has been assigned to the VLAN and whose destination address is associated with the port will be dropped by the switch without being transmitted. Otherwise, the packet will be transmitted.

UMLPackagePath | string | CIM::Network::VLAN
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Tagged | boolean |
Deprecated | string | No value
Description | string | If Tagged is TRUE, then the packet will be transmitted in encapsulated form, tagged with the associated VLAN tag. If Tagged is FALSE, the packet will be trasmitted without any VLAN tag.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_OutboundVLAN | CIM_VLAN
Dependent | CIM_OutboundVLAN | CIM_SwitchPort

## Class Methods